# VxCollectionList 收款及付款人列表

## 引入

```js
import VxCollectionList from '@/components/vx-collection-list';

// 页面内局部引入
export default {
  components: {
    [VxCollectionList.name]: VxCollectionList,
  },
};
// 全局引入
Vue.component(VxCollectionList.name, VxCollectionList);
```

## 使用指南

<!-- prettier-ignore -->
```html
<vx-collection-list 
    leftCustomName="母公司账户" 
    rightCustomName="子公司账户" 
    leftType="custom" 
    @leftInfo="assignment" 
    @rightInfo="payerInfo">
</vx-collection-list>
```

## API

### VxCollectionList Props

| 属性              | 说明                 | 类型      | 默认值       | 备注                              |
| ----------------- | -------------------- | --------- | ------------ | --------------------------------- |
| `leftCustomName`  | 左侧列表名称         | `String`  | -            | 仅当 leftType='custom' 生效       |
| `rightCustomName` | 右侧列表名称         | `String`  | `付款账户`   | -                                 |
| `leftType`        | 左侧列表类型         | `String`  | `collection` | `custom/collection/publicWelfare` |
| `isStretch`       | 标签的宽度是否自撑开 | `Boolean` | `true`       | -                                 |

- leftType 属性选项
  collection：收款账户
  publicWelfare：公益捐款收款名册
  custom：自定义列表名称，列表为`@/components/vx-paylist`

### VxCollectionList Methods

#### leftInfo(item)

- 左侧列表点击事件，
- 回调参数：`item`（列表当前点击值）

#### rightInfo(item)

- 右侧列表点击事件，
- 回调参数：`item`（列表当前点击值）
